<div class="hint-container" [ngClass]="[hint_id]">
    <a *ngIf="show_hint" role="button" tabindex="0" class="introjs-hint" placement="{{hint_data.position}}"
        [ngbPopover]="hint_content" (hidden)="seen_hint()">
        <div class="introjs-hint-dot"></div>
        <div class="introjs-hint-pulse"></div>
    </a>
    <ng-template #hint_content>
        <div class="introjs-tooltiptext">
            <p>{{hint_data.content}}</p>
            <div (click)="hide_all()" class="hide-all-hints">Hide all hints</div>
            <a class="btn btn-primary introjs-button float-right" (click)="seen_hint()">OK</a>
            <div class="clearfix"></div>
        </div>
    </ng-template>
</div>